<?xml version='1.0' encoding="ISO-8859-1"?>
<xsl:stylesheet 
	xmlns:xsl="http://www.w3.org/TR/WD-xsl">



 <xsl:template match="/">
<xsl:processing-instruction name="cocoon-format">type="text/html"</xsl:processing-instruction>
  <HTML>

   <HEAD>
    <TITLE><xsl:value-of select="cv/titre" /></TITLE>
   </HEAD> 

   <STYLE>
    body {font-family:verdana; color: black; margin-left:0cm}
    p {margin-top="0"; margin-bottom="0"}
    ul {margin-top=0cm; margin-bottom=0.25cm}
    .titre {font: bold 15pt; text-align: center; margin-bottom:1cm; margin-top:1cm}
    .date {font: 8pt; text-align: right}
    .personne {margin-left: 0.25cm; margin-bottom: 0.5cm;margin-right: 1cm; font-size: 8pt}
     .nom {margin-bottom:0.25cm;font: bold 12pt;margin-left: 0.25cm;margin-right: 0.5cm}
     .age {margin-bottom:0.25cm;margin-left: 0.5cm;margin-right: 0.5cm;font-size: 8pt}
     .contact {margin-bottom:0.25cm;margin-left: 0.5cm;margin-right: 0.5cm;font-size: 8pt}
     .autre {margin-bottom:0.25cm;margin-left: 0.5cm;margin-right: 0.5cm;font: italic 8pt}
     .adresse {font-size: 8pt;margin-bottom:0.25cm;margin-left: 0.5cm;margin-right: 0.5cm}
    .entete {color: white; font: bold 10pt; text-align: right}
    .section {font: 10pt; margin-top: 1cm; margin-left:1cm}
     .sectionT {font: 15pt; text-align: left; margin-bottom:0.25cm; margin-left:-0.5cm}
    .section_item {font: 8pt; margin-left: 1cm; margin-bottom: 0.5cm}
     .mission {font: italic; margin-left: -0.5cm; margin-bottom:0.25cm}
     .section_itemT {font: bold 10pt; margin-left: -0.5cm; margin-bottom:0.25cm}
   </STYLE>

   <BODY>
    <xsl:apply-templates />
   </BODY>

  </HTML>
 </xsl:template>

 <xsl:template match="cv">
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="personne">
  <DIV class="personne">
   <TABLE BORDER="0" BGCOLOR="#C0C0C0"><TR><TD>
    <TABLE><TR VALIGN="bottom">
      <TD> <DIV class="nom"><xsl:value-of select="nom" /></DIV> </TD>
      <TD> <DIV class="age"><xsl:value-of select="age" /></DIV> </TD>
    </TR> </TABLE>
    <xsl:apply-templates />
   </TD></TR></TABLE>
  </DIV>
 </xsl:template>

 <xsl:template match="adresse">
  <DIV class="adresse">
   <P><xsl:value-of select="rue" /></P>
   <P><xsl:value-of select="cp" /> <xsl:value-of select="ville" /></P>
  </DIV>
 </xsl:template>

 <xsl:template match="contact">
  <DIV class="contact">
   <xsl:apply-templates />
  </DIV>
 </xsl:template>

 <xsl:template match="tel">
  <P><xsl:value-of select="." /> ( <xsl:value-of select="@type" /> )</P>
 </xsl:template>

 <xsl:template match="autre">
  <DIV class="autre">
   <xsl:value-of select="." />
  </DIV>
 </xsl:template>

 <xsl:template match="email">
   <P><A>
    <xsl:attribute name="HREF">
     mailto:
     <xsl:value-of select="." />
    </xsl:attribute>
    <xsl:value-of select="." />
   </A></P>
 </xsl:template>

 <xsl:template match="cv/titre">
  <DIV class="titre">
   <xsl:value-of select="." />
  </DIV>
 </xsl:template>

 <xsl:template match="item/mission">
  <DIV class="mission">
   <xsl:value-of select="." />
  </DIV>
 </xsl:template>

 <xsl:template match="section">
  <DIV class="section">
   <DIV class="sectionT"><xsl:value-of select="@titre"/>
    <hr align="left" width="500" size="1" noshade="true" />
   </DIV>
   <TABLE BORDER="0" CELLSPACING="1" CELLPADDING="0">
   <xsl:for-each select="item" order-by="-@tri">
    <TR VALIGN="top">
     <TD  WIDTH="150" BGCOLOR="#008080"><DIV class="entete"><xsl:value-of select="entete"/></DIV></TD>
     <TD>
      <DIV class="section_item">
       <DIV class="section_itemT"><xsl:value-of select="titre"/></DIV>
       <DIV><xsl:apply-templates /></DIV>
      </DIV>     
     </TD>
    </TR>
   </xsl:for-each>
   </TABLE>
  </DIV>
 </xsl:template>

 <xsl:template match="description">
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="liste">
  <UL>
   <xsl:for-each select="itemL">
    <LI><xsl:value-of select="." /></LI>
   </xsl:for-each>
  </UL>
 </xsl:template>

 <xsl:template match="par">
  <P><xsl:value-of select="." /></P>
 </xsl:template>

 <xsl:template match="date">
  <DIV class="date">
   <P>Dernire modication le <xsl:value-of select="." />
   </P>
  </DIV>
 </xsl:template>

</xsl:stylesheet>