<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <xsl:template match="cv">
  <xsl:processing-instruction name="cocoon-format">type="text/xslfo"</xsl:processing-instruction>
  <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
   <fo:layout-master-set>

       <fo:simple-page-master master-name="first"
                  page-height="29.7cm" 
                  page-width="21cm"
                  margin-top="2cm" 
                  margin-bottom="2cm" 
                  margin-left="2.5cm" 
                  margin-right="2.5cm">
      <fo:region-body margin-top="2cm"/>
      <fo:region-before extent="2cm"/>
      <fo:region-after extent="1.5cm"/>
    </fo:simple-page-master>

    <fo:simple-page-master master-name="right"
                  page-height="29.7cm" 
                  page-width="21cm"
                  margin-top="2cm" 
                  margin-bottom="2cm" 
                  margin-left="2.5cm" 
                  margin-right="2.5cm">
      <fo:region-body margin-top="2cm"/>
      <fo:region-before extent="2.5cm"/>
      <fo:region-after extent="1.5cm"/>
    </fo:simple-page-master>

    <fo:simple-page-master master-name="left"
                  page-height="29.7cm" 
                  page-width="21cm"
                  margin-top="2cm" 
                  margin-bottom="2cm" 
                  margin-left="2.5cm" 
                  margin-right="2.5cm">
      <fo:region-body margin-top="2cm"/>
      <fo:region-before extent="2.5cm"/>
      <fo:region-after extent="1.5cm"/>
    </fo:simple-page-master>

    <fo:page-sequence-master master-name="run">
			<fo:repeatable-page-master-alternatives maximum-repeats="no-limit" >
				<fo:conditional-page-master-reference
					master-name="left"
					odd-or-even="even" />
				<fo:conditional-page-master-reference
					master-name="right"
					odd-or-even="odd" />
				<fo:conditional-page-master-reference
					master-name="title"/>
					
			</fo:repeatable-page-master-alternatives>
   </fo:page-sequence-master>

 </fo:layout-master-set>
  <!-- end: defines page layout -->

  <!-- actual layout -->

  <fo:page-sequence master-name="run" initial-page-number="1">

   <fo:static-content flow-name="xsl-region-before">
     <fo:block text-align="end" font-size="10pt" font-family="sans-serif" line-height="14pt" color="grey" > CV Elia de Iaco - <fo:page-number/> </fo:block>
   </fo:static-content>

    <fo:flow flow-name="xsl-region-body" font-size="12pt" line-height="14pt">
	<xsl:apply-templates/>
     </fo:flow>
  </fo:page-sequence>

  </fo:root>
 </xsl:template>

 

 <xsl:template match="entete">
  	
	<fo:block color="#000000" font-size="20pt" line-height="22pt" text-align="center" 	space-before.optimum="12pt"><xsl:value-of select="nom"/></fo:block>

 </xsl:template>
<xsl:template match="person">
  	
<fo:block color="black" font-size="15pt" line-height="30pt" text-align="start" 	space-before.optimum="12pt">

<xsl:value-of select="entete1"/></fo:block>
	<fo:block text-align="start" font-size="14pt" font-family="sans-serif" line-height="14pt" color="999900" >
<img src="http://tecfa.unige.ch/~deiaco/images/elia.jpg"></img>	
<xsl:value-of select="persname/nom"/></fo:block>
	<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="grey" >
<xsl:value-of select="address/ville"/></fo:block>
<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="grey" >
<xsl:value-of select="address/codepostal"/></fo:block>
		<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="grey" >
Tel/fax: <xsl:value-of select="address/phone"/></fo:block>
	<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="grey" >
Email: <xsl:value-of select="address/email"/></fo:block>
	<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="grey" >
Date de naissance: <xsl:value-of select="address/datenaiss"/></fo:block>
	<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="grey" >

Etat-civil: <xsl:value-of select="address/etatcivil"/></fo:block>
	<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="grey" >
Nationalit: <xsl:value-of select="address/nationalite"/></fo:block>
	<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="grey" >
Famille: <xsl:value-of select="address/famille"/></fo:block>

</xsl:template>

<xsl:template match="objectif">
  	
	<fo:block color="blue" font-size="15pt" line-height="30pt" text-align="start" 	space-before.optimum="12pt"><xsl:value-of select="entete1"/></fo:block>
	<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="black" ><xsl:value-of select="descriptiom"/></fo:block>


 </xsl:template>
 
<xsl:template match="formations">
  	
	<fo:block color="#999900" font-size="15pt" line-height="30pt" text-align="start" 	space-before.optimum="12pt"><xsl:value-of select="entete1"/></fo:block>
<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="black" ><xsl:apply-templates select="formation"/></fo:block>


</xsl:template>
 

<xsl:template match="formation">
 
  <fo:table
 space-before.optimum="6pt" text-align="center">
   <fo:table-column column-width="1cm"/>
 <fo:table-column column-width="1cm"/>
 <fo:table-column column-width="13cm"/>
   <fo:table-body>

    <fo:table-row 
space-before.optimum="6pt">
     <fo:table-cell>
      <fo:block color="grey" font-size="10pt" text-align="start" space-before.optimum="5pt"> 
	<xsl:apply-templates select="datefrom"/>
	</fo:block>
 
     </fo:table-cell>
     <fo:table-cell>
      <fo:block color="grey" font-size="10pt" text-align="start" space-before.optimum="5pt"><xsl:apply-templates select="dateto"/> 
      </fo:block>
     </fo:table-cell>

     <fo:table-cell>
      <fo:block color="black" font-size="12pt" text-align="start" space-before.optimum="5pt">   <xsl:apply-templates select="details"/> 
      </fo:block>
     </fo:table-cell>

    </fo:table-row>
   </fo:table-body> 
 </fo:table>

</xsl:template>


<xsl:template match="professions">
  	
	<fo:block color="#999900" font-size="15pt" line-height="30pt" text-align="start" 	space-before.optimum="12pt"><xsl:value-of select="entete1"/></fo:block>
<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="black" ><xsl:apply-templates select="profession"/></fo:block>

	
 </xsl:template>

<xsl:template match="profession">
 
  <fo:table
 space-before.optimum="6pt" text-align="center">
   <fo:table-column column-width="1cm"/>
 <fo:table-column column-width="2cm"/>
 <fo:table-column column-width="3cm"/>
 <fo:table-column column-width="9cm"/>
   <fo:table-body>

    <fo:table-row 
space-before.optimum="6pt">
     <fo:table-cell>
      <fo:block color="grey" font-size="10pt" text-align="start" space-before.optimum="5pt"> 
	<xsl:apply-templates select="datefrom"/>
	</fo:block>
 
     </fo:table-cell>
     <fo:table-cell>
      <fo:block color="grey" font-size="10pt" text-align="start" space-before.optimum="5pt"><xsl:apply-templates select="dateto"/> 
      </fo:block>
     </fo:table-cell>
     <fo:table-cell>
      <fo:block color="olive" font-size="12pt" text-align="start" space-before.optimum="5pt"><xsl:apply-templates select="titre"/> 
      </fo:block>
     </fo:table-cell>

     <fo:table-cell>
      <fo:block color="black" font-size="10pt" text-align="start" text-style="italic" space-before.optimum="5pt"><xsl:apply-templates select="details"/> 
      </fo:block>
     </fo:table-cell>

    </fo:table-row>
   </fo:table-body> 
 </fo:table>

</xsl:template>

<xsl:template match="langues">
	<fo:block color="olive" font-size="15pt" line-height="30pt" text-align="start" 	space-before.optimum="12pt"><xsl:value-of select="entete1"/></fo:block>
	<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="black" ><xsl:apply-templates select="langue"/></fo:block>
 </xsl:template>

<xsl:template match="langue">
 
  <fo:table
 space-before.optimum="6pt" text-align="center">

 <fo:table-column column-width="3cm"/>
 <fo:table-column column-width="10cm"/>
   <fo:table-body>

    <fo:table-row 
space-before.optimum="6pt">
     <fo:table-cell>
      <fo:block color="grey" font-size="12pt" text-align="start" space-before.optimum="5pt"> 
	<xsl:apply-templates select="nom"/>
	</fo:block>
 
     </fo:table-cell>
     <fo:table-cell>
      <fo:block color="black" font-size="12pt" text-align="start" space-before.optimum="5pt"><xsl:apply-templates select="niveau"/> 
      </fo:block>
     </fo:table-cell>

    </fo:table-row>
   </fo:table-body> 
 </fo:table>

</xsl:template>





<xsl:template match="interests">
  	
	<fo:block color="olive" font-size="15pt" line-height="30pt" text-align="start" 	space-before.optimum="12pt"><xsl:value-of select="entete1"/></fo:block>
	<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="black" ><xsl:apply-templates select="interest"/></fo:block>
 </xsl:template>
<xsl:template match="langues">
	<fo:block color="olive" font-size="15pt" line-height="30pt" text-align="start" 	space-before.optimum="12pt"><xsl:value-of select="entete1"/></fo:block>
	<fo:block text-align="start" font-size="10pt" font-family="sans-serif" line-height="14pt" color="black" ><xsl:apply-templates select="langue"/></fo:block>
 </xsl:template>

<xsl:template match="interest">
 
  <fo:table
 space-before.optimum="6pt" text-align="center">

 <fo:table-column column-width="3cm"/>
 <fo:table-column column-width="10cm"/>
   <fo:table-body>

    <fo:table-row 
space-before.optimum="6pt">
     <fo:table-cell>
      <fo:block color="grey" font-size="12pt" text-align="start" space-before.optimum="5pt"> 
	<xsl:apply-templates select="nom"/>
	</fo:block>
 
     </fo:table-cell>
     <fo:table-cell>
      <fo:block color="black" font-size="12pt" text-align="start" space-before.optimum="5pt"><xsl:apply-templates select="details"/> 
      </fo:block>
     </fo:table-cell>

    </fo:table-row>
   </fo:table-body> 
 </fo:table>

</xsl:template>
</xsl:stylesheet>

 